Get Payment Status

​

The Get Payment Status API retrieves the correct status and response message to know how to handle the next step (e.g., success--apply payment, cancel--payment cancelled by user, etc.).

For more information, see: Getting Payment Status

Headers

Token token

The Location API key from the Punchh platform located under Store Locations > All Store Locations > [Choose your location] > POS tab > Location key

btoken

The API key for the business, located in the Punchh platform. Note: This can be obtained only from Punchh administrators (e.g., Customer Success Manager).

For assistance with any API keys, reach out to your Punchh Customer Success Manager (CSM) or Implementation Manager (if applicable).

Headers

  • Token token Location API key from the Punchh platform. btoken Business API key from the Punchh platform.

  • Set to application/json.

Body

application/json
  • Payment date/time in ISO 8601 format (YYYY-MM-DDTHH:MM:SS)

  • Payment reference identifier from the payment processor. This is obtained from the response of the Create Payment API. When used with the payment_date parameter, returns any payment with this reference ID on the specified date. Without payment_date, the API returns any payment with the corresponding reference ID.

Responses

  • application/json
  • "Invalid Location Key"

  • "Incorrect reference_id"

Request Example for get/api/pos/payments/status
curl https://SERVER_NAME_GOES_HERE.punchh.com/api/pos/payments/status \
  --header 'Authorization: Token token="LOCATION_KEY_GOES_HERE" btoken="BUSINESS_KEY_GOES_HERE"' \
  --header 'Content-Type: application/json' \
  --data '{
  "payment_date": "2019-08-24T14:15:22Z",
  "payment_reference_id": "14000"
}'
[
  {
    "first_name": "FIRST_NAME_GOES_HERE",
    "last_name": "LAST_NAME_GOES_HERE",
    "transaction_no": "014038904-10012",
    "payment_reference_id": "14232",
    "status": "success",
    "response_message": "COMPLETED",
    "payment_type": "CreditCard",
    "payment_transaction_id": "TRANSACTION_ID_GOES_HERE",
    "created_at": "2021-01-14T18:48:39Z",
    "updated_at": "2020-11-19T06:25:59Z",
    "card_type": "null"
  },
  {
    "first_name": null,
    "last_name": null,
    "transaction_no": "014029904-10011",
    "payment_reference_id": "14231",
    "status": "success",
    "response_message": "SUCCESS",
    "payment_type": "CreditCard",
    "payment_transaction_id": "TRANSACTION_ID_GOES_HERE",
    "created_at": "2021-01-14T16:18:35Z",
    "updated_at": "2020-11-19T06:25:59Z",
    "card_type": "null"
  },
  {
    "first_name": null,
    "last_name": null,
    "transaction_no": "014029819-10010",
    "payment_reference_id": "14230",
    "status": "success",
    "response_message": "SUCCESS",
    "payment_type": "CreditCard",
    "payment_transaction_id": "TRANSACTION_ID_GOES_HERE",
    "created_at": "2021-01-14T16:17:09Z",
    "updated_at": "2020-11-19T06:25:59Z",
    "card_type": "null"
  }
]